Remote OpenGL -- getting it to work?

Thomas L├╝bking thomas.luebking at gmx.de
Tue May 31 21:13:12 UTC 2016


On Tue, May 31, 2016 at 08:33:14AM -0700, L. A. Walsh wrote:
>Glynn Clements wrote:
>>L. A. Walsh wrote:
>>
>>>I have sometimes gotten some GLX programs to work for a short while,
>>>but more often than not, I don't get them to work at all.
>>
>>The most likely reason for this is that the program needs a later
>>version of OpenGL than Cygwin's X server provides.
>----
>   Hmmm....what does this mean, then?
>OpenGL vendor string: NVIDIA Corporation
>OpenGL renderer string: GeForce GTX 590/PCIe/SSE2
>OpenGL version string: 1.4 (4.5.0 NVIDIA 355.98)

Indirect GL is confined to GL 1.4 (ie. fixed function path, notably no
glsl)
The driver and GPU support 4.5, but only on direct contexts.

You should check whether indirect GL works generally (there're somet
pitfalls), ie. whether glxgears works.
If so, you best contact the authors of the failing GL clients and ask
whether they provide a fixed function path (and how to select it)

If everything else fails, you'll have to resort to eg. VNC (afair
only x11vnc will work for you)

Cheers,
Thomas


More information about the xorg mailing list